#include <bits/stdc++.h>

using namespace std;


int x[1505];
int y[1505];

struct Dve
{
    double r;
    double k;
    int in1,in2;
};

struct Dve niz [1200000];

double rastojanje(int i,int j)
{
    return sqrt((x[i]-x[j])*(x[i]-x[j])+(y[i]-y[j])*(y[i]-y[j]));
}
double nagib(int i, int j)
{
    return (double)(y[j]-y[i])/(x[j]-x[i]);
}

int main() {
    
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    
    
    int n,sumnjive=0;
    cin>>n;
    
    for(int i=0;i<n;i++)
    {
        cin>>x[i]>>y[i];
    }
    
    
    int ind=0;
    
    for(int i=0;i<n;i++)
    {
        for(int j=i+1;j<n;j++)
            {
                niz[ind].r=rastojanje(i,j);
                niz[ind].k=nagib(i,j);
                niz[ind].in1=i;
                niz[ind].in2=j;
                ind++;
            }
        
    }
    double na1,na2;
    
    for(int i=0;i<ind;i++)
    {
        for(int j=i+1;j<ind;j++)
        {
            if(niz[i].k==niz[j].k)
            {
                if((niz[i].r/2==niz[j].r)||(niz[j].r/2==niz[i].r))
                {
                        sumnjive++;
                }
            }
        }
    }
    cout<<sumnjive;
    
    return 0;
}